Update store translation data
PUT https://{handle}.myshopline.com/admin/openapi/v20260901/ugc/resource.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Update a store's translation data.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
resource_listobject[] required
List of store resource information to be updated.
Maximum size: 200.resource_type string requiredThe type of the resource. Valid values are:COLLECTION: CollectionPRODUCT: ProductPRODUCT_Category: Product categoryPRODUCT_OPTION: Product optionPRODUCT_VARIANT: Product variantSELLING_PLAN: Selling planFILTER: FilterFILTER_GROUP: Filter groupFILTER_VALUE: Filter valueSORT: SortDELIVERY_METHOD: Delivery methodPAYMENT_METHOD: Payment methodTAXES: TaxesSETTLE_CONFIG: Settlement configurationSETTLE_ADDITIONAL_INFO: Settlement additional informationWEBSITE_BLOG: Website blogWEBSITE_BLOG_COLLECTION: Website blog collectionWEBSITE_CUSTOMIZE_PAGE: Website customize pageWEBSITE_NAVIGATION: Website navigationWEBSITE_POLICY_PAGE: Website policy pageLINK: LinkMETAFIELD: Metafield
Example:COLLECTIONcontent_listobject[] required
List of translation corpus corresponding to the resource.
Maximum size: 100.resource_content string requiredTranslated resource content.Example:The content of the key to the key of the cotresource_field string requiredThe resource attribute associated withresource_content. For example, whenresource_typeisPRODUCTandresource_fieldistitle,resource_contentrepresents the product title. The range of valid values depends onresource_type. Refer to resource_type and resource_field for the valid values and mapping betweenresource_fieldandresource_type.Example:titlemarket stringThe primary market for the store.Example:2805652120189036673434resource_id string requiredThe resource ID.
For example, whenresource_typeisPRODUCT, this parameter value is the product ID.Example:16065157700911371584482600
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
dataobject
Response data.fail_listobject[]
A list of updated failure information for store translation data.fail_cause stringError code for the update failure.Example:VERIFY_RESOURCE_FAILmarket stringThe primary market for the store.Example:2805652120189036673434resource_content stringTranslated resource content.Example:The content of the key to the key of the cotresource_field stringThe resource attribute associated withresource_content. For example, whenresource_typeisPRODUCTandresource_fieldistitle,resource_contentrepresents the product title. The range of valid values depends onresource_type. Refer to resource_type and resource_field for the valid values and mapping betweenresource_fieldandresource_type.Example:titleresource_id stringThe resource ID.
For example, whenresource_typeisPRODUCT, this parameter value is the product ID.resource_type stringThe type of the resource. Valid values are:COLLECTION: CollectionPRODUCT: ProductPRODUCT_Category: Product categoryPRODUCT_OPTION: Product optionPRODUCT_VARIANT: Product variantSELLING_PLAN: Selling planFILTER: FilterFILTER_GROUP: Filter groupFILTER_VALUE: Filter valueSORT: SortDELIVERY_METHOD: Delivery methodPAYMENT_METHOD: Payment methodTAXES: TaxesSETTLE_CONFIG: Settlement configurationSETTLE_ADDITIONAL_INFO: Settlement additional informationWEBSITE_BLOG: Website blogWEBSITE_BLOG_COLLECTION: Website blog collectionWEBSITE_CUSTOMIZE_PAGE: Website customize pageWEBSITE_NAVIGATION: Website navigationWEBSITE_POLICY_PAGE: Website policy pageLINK: LinkMETAFIELD: Metafield
Example:COLLECTIONresource_listobject[]
A list of store transaction data that was successfully updated.resource_type stringThe type of the resource. Valid values are:COLLECTION: CollectionPRODUCT: ProductPRODUCT_Category: Product categoryPRODUCT_OPTION: Product optionPRODUCT_VARIANT: Product variantSELLING_PLAN: Selling planFILTER: FilterFILTER_GROUP: Filter groupFILTER_VALUE: Filter valueSORT: SortDELIVERY_METHOD: Delivery methodPAYMENT_METHOD: Payment methodTAXES: TaxesSETTLE_CONFIG: Settlement configurationSETTLE_ADDITIONAL_INFO: Settlement additional informationWEBSITE_BLOG: Website blogWEBSITE_BLOG_COLLECTION: Website blog collectionWEBSITE_CUSTOMIZE_PAGE: Website customize pageWEBSITE_NAVIGATION: Website navigationWEBSITE_POLICY_PAGE: Website policy pageLINK: LinkMETAFIELD: Metafield
Example:COLLECTIONupdated_at stringThe date and time when the translation data was last updated. Format: ISO 8601.Example:2023-09-07T15:50:00Zmarket stringThe primary market for the store.Example:2805652120189036673434outdated booleanWhether the translation data is outdated or up-to-date. If the original content has been updated but its translation has not, the translation data is considered to be outdated.true: The translation data is outdated.false: The translation data is up-to-date.
resource_content stringTranslated resource content.Example:The content of the key to the key of the cotresource_field stringThe resource attribute associated withresource_content. For example, whenresource_typeisPRODUCTandresource_fieldistitle,resource_contentrepresents the product title. The range of valid values depends onresource_type. Refer to resource_type and resource_field for the valid values and mapping betweenresource_fieldandresource_type.Example:titleresource_id stringThe resource ID.
For example, whenresource_typeisPRODUCT, this parameter value is the product ID.
API Explorer
Debugger
Examples
Was this article helpful to you?